Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.escape.ascape.adapt
Class AscapePropertiesSourceProvider

    java.lang.Object
      org.eclipse.amp.agf.EditPartSourceProvider
          org.eclipse.amp.escape.ascape.adapt.AscapePropertiesSourceProvider

All Implemented Interfaces:
  org.eclipse.ui.views.properties.IPropertySourceProvider

    public class AscapePropertiesSourceProvider

extends EditPartSourceProvider

The Class AscapePropertySourceProvider.

Constructor Summary
`AscapePropertiesSourceProvider(java.lang.Object source)`

Method Summary
`java.lang.Object` | `getSource(org.eclipse.gef.EditPart editPart)` Gets the source.
`protected java.lang.Class` | `getStopClass(java.lang.Object model)`

Methods inherited from class org.eclipse.amp.agf.EditPartSourceProvider
`getPropertySource, getPropertySources, setPropertySources`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AscapePropertiesSourceProvider

    public AscapePropertiesSourceProvider(java.lang.Object source)

Method Detail

### getSource

    public java.lang.Object getSource(org.eclipse.gef.EditPart editPart)

  Description copied from class: `EditPartSourceProvider`
  Gets the source.

  Overrides:
    `getSource` in class `EditPartSourceProvider`
  Parameters:
    `editPart` -
  Returns:
  See Also:
    `EditPartSourceProvider.getSource(org.eclipse.gef.EditPart)`

### getStopClass

    protected java.lang.Class getStopClass(java.lang.Object model)

  Parameters:
    `model` -
  Returns:
  See Also:
    `org.ascape.BeanPropertySourceProvider#getStopClass(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD